Skip to content

IAM  >  Operations  >  list_delegation_requests

list_delegation_requests

Operation

list_delegation_requests async

list_delegation_requests(request: ListDelegationRequestsInput | ListDelegationRequestsInputDict, /, *, plugins: list[Plugin] | None = None) -> ListDelegationRequestsOutput
list_delegation_requests(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListDelegationRequestsInputDict]) -> ListDelegationRequestsOutput

Lists delegation requests based on the specified criteria.

If a delegation request has no owner, even if it is assigned to a specific account, it will not be part of the ListDelegationRequests output for that account.

For more details, see Managing Permissions for Delegation Requests.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
ListDelegationRequestsOutput

An instance of ListDelegationRequestsOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

ListDelegationRequestsInput dataclass

Bases: _SerdeShape

Dataclass for ListDelegationRequestsInput structure.

Attributes
marker class-attribute instance-attribute
marker: str | None = ...

Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker element in the response that you received to indicate where the next call should start.

max_items class-attribute instance-attribute
max_items: int | None = ...

Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.

If you do not include this parameter, the number of items defaults to 100. Note that IAM may return fewer results, even when there are more results available. In that case, the IsTruncated response element returns true, and Marker contains a value to include in the subsequent call that tells the service where to continue from.

owner_id class-attribute instance-attribute
owner_id: str | None = ...

The owner ID to filter delegation requests by.

Dictionaries

ListDelegationRequestsInputDict

Bases: TypedDict

Dictionary form of ListDelegationRequestsInput.

Attributes
marker instance-attribute
marker: str | None

Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker element in the response that you received to indicate where the next call should start.

max_items instance-attribute
max_items: int | None

Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.

If you do not include this parameter, the number of items defaults to 100. Note that IAM may return fewer results, even when there are more results available. In that case, the IsTruncated response element returns true, and Marker contains a value to include in the subsequent call that tells the service where to continue from.

owner_id instance-attribute
owner_id: str | None

The owner ID to filter delegation requests by.

Output

ListDelegationRequestsOutput dataclass

Bases: _SerdeShape

Dataclass for ListDelegationRequestsOutput structure.

Attributes

delegation_requests class-attribute instance-attribute
delegation_requests: list[DelegationRequest] | None = ...

A list of delegation requests that match the specified criteria.

is_truncated class-attribute instance-attribute
is_truncated: bool = ...

A flag that indicates whether there are more items to return. If your results were truncated, you can make a subsequent pagination request using the Marker request parameter to retrieve more items.

marker class-attribute instance-attribute
marker: str | None = ...

When isTruncated is true, this element is present and contains the value to use for the Marker parameter in a subsequent pagination request.

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.